Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Set status for content

POST
/v1/partner/company/{companyKey}/content/{contentKey}/{status}
curl --request POST \
--url https://sender.api.kivra.com/v1/partner/company/example/content/example/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '"example"'

This resource allows to set the status for a specific content. It is used by the partner to set whether the content should be marked as viewed or paid.

companyKey
required

Company’s unique key

string

The unique key for the company object being retrieved

contentKey
required

Content’s unique key

string

The unique key for a specific content

status
required

The new state to be set for the content

string

The specific state to be set for this content, can be paid, unpaid, view or unview

Empty JSON body

Media typeapplication/json
Examplegenerated
example

Empty response confirming that the operation was successful